#ifndef MUSIC_H
#define MUSIC_H
#include <SDL/SDL_mixer.h>
class Music
{
	public:
		bool load(std::string file);
		void play(int repeat = -1);
		void stop();
                void pause();
                ~Music();
	private:
		Mix_Music *_music_;
};
class Effect
{
	public:
		bool load(std::string file);
		void play();
		void stop();
                void pause();
                ~Effect();
	private:
		Mix_Chunk *_chunk_;
		int _channel_;
};
bool init_music();

#endif
